name: Merge Build
run_name: Test successful build on merge request

on:
  pull_request:
    types: [opened, reopened, edited, review_requested, synchronize]

jobs:
  Cepi_to_DB:
    steps:
      - uses: https://github.com/actions/checkout@v4

      - uses: https://github.com/dtolnay/rust-toolchain@stable

      - name: Build
        run: |
                cd cepitodb-master
                cargo build

  Database:
    steps:
      - uses: https://github.com/actions/checkout@v4

      - uses: https://github.com/dtolnay/rust-toolchain@stable

      - name: Build
        run: |
                cd rust-database-master
                cargo build


